6.0.0-git
2019-03-21

[#5388] PGP & S/MIME messages do not display correctly in DIMP
Summary PGP & S/MIME messages do not display correctly in DIMP
Queue IMP
Queue Version HEAD
Type Enhancement
State Resolved
Priority 1. Low
Owners Horde Developers (at)
Requester adrieder (at) sbox (dot) tugraz (dot) at
Created 2007-05-22 (4321 days ago)
Due
Updated 2010-01-12 (3355 days ago)
Assigned 2008-12-05 (3758 days ago)
Resolved 2008-12-08 (3755 days ago)
Milestone
Patch No

History
2010-01-12 23:55:25 CVS Commit Comment #8 Reply to this comment
Changes have been made in Git for this ticket:

Ticket #5388: PGP functions now work in DIMP
Passphrase dialogs now use redbox.js to display.

  create mode 100644 imp/js/encrypt.js
  create mode 100644 imp/js/src/encrypt.js
  delete mode 100644 imp/templates/pgp/passphrase.html
http://git.horde.org/diff.php/imp/compose.php?rt=horde-git&r1=2bba73985835771c1d010717c198a250aadc2547&r2=30c381998a1b46fbb2b7059fea0fba8335b75367
http://git.horde.org/diff.php/imp/docs/CHANGES?rt=horde-git&r1=3287315b1f3eb6321f32f6e0f1106ad3e52e8902&r2=30c381998a1b46fbb2b7059fea0fba8335b75367
http://git.horde.org/diff.php/imp/imp-dimp.php?rt=horde-git&r1=34dcd13a1279f3bd2d96cd9303d73a1c2717a4c9&r2=30c381998a1b46fbb2b7059fea0fba8335b75367
http://git.horde.org/diff.php/imp/index-dimp.php?rt=horde-git&r1=29beb440628320b469f00e5a2886901ccff1ca7e&r2=30c381998a1b46fbb2b7059fea0fba8335b75367
http://git.horde.org/co.php/imp/js/encrypt.js?rt=horde-git&r=30c381998a1b46fbb2b7059fea0fba8335b75367
http://git.horde.org/co.php/imp/js/src/encrypt.js?rt=horde-git&r=30c381998a1b46fbb2b7059fea0fba8335b75367
http://git.horde.org/diff.php/imp/lib/Crypt/pgp.php?rt=horde-git&r1=e0dc39848a4a5ba361243d44ce8143d11d4d4842&r2=30c381998a1b46fbb2b7059fea0fba8335b75367
http://git.horde.org/diff.php/imp/lib/IMP.php?rt=horde-git&r1=e0881f4aef8207bc64ed62dc25f1218c71c9226a&r2=30c381998a1b46fbb2b7059fea0fba8335b75367
http://git.horde.org/diff.php/imp/lib/Mime/Viewer/pgp.php?rt=horde-git&r1=d93afe754867cb7ae649f13b15e1fb7233b3086e&r2=30c381998a1b46fbb2b7059fea0fba8335b75367
http://git.horde.org/diff.php/imp/pgp.php?rt=horde-git&r1=398248e93c8bdfbdb32eb789f2b9f52971597f06&r2=30c381998a1b46fbb2b7059fea0fba8335b75367
http://git.horde.org/diff.php/imp/templates/pgp/passphrase.html?rt=horde-git&r1=349ba54ae166fbf9552ba7b7694de71bd41a589b&r2=30c381998a1b46fbb2b7059fea0fba8335b75367
2008-12-08 07:24:56 Michael Slusarz Comment #7
State ⇒ Resolved
Reply to this comment
The S/MIME portion has also been completed in IMP 5.
2008-12-05 22:54:38 Michael Slusarz Comment #6
Type ⇒ Enhancement
Version ⇒ HEAD
Queue ⇒ IMP
State ⇒ Assigned
Priority ⇒ 1. Low
Reply to this comment
The PGP portion of this has been completed.
2008-11-09 02:42:53 Chuck Hagenbuch Comment #5
State ⇒ Assigned
Reply to this comment
Un-stalling
2008-01-11 06:28:18 Michael Slusarz Comment #4
State ⇒ Stalled
Milestone ⇒ 2
Reply to this comment
Disabled PGP and S/MIME functionality in DIMP that currently doesn't 
work.  This should be looked at again when DIMP is more closely 
integrated with IMP.
2007-07-03 21:47:18 Michael Slusarz Comment #3 Reply to this comment
Additionally, due to other limitations in the current Horde MIME 
library, it is not
possible to view embedded parts with a PGP or S/MIME message n the DIMP
preview window until the message is opened in a popup window.
This has been fixed if using a Horde_Cache:: backend in HEAD.
2007-05-22 18:50:51 Jan Schneider State ⇒ Assigned
 
2007-05-22 18:44:08 Michael Slusarz Comment #2
Assigned to Horde DevelopersHorde Developers
Summary ⇒ PGP & S/MIME messages do not display correctly in DIMP
State ⇒
Priority ⇒ 1. Low
Reply to this comment
This has been a known problem for awhile.  None of the PGP or S/MIME 
links work in DIMP.



Additionally, due to other limitations in the current Horde MIME 
library, it is not possible to view embedded parts with a PGP or 
S/MIME message n the DIMP preview window until the message is opened 
in a popup window.
2007-05-22 00:35:43 adrieder (at) sbox (dot) tugraz (dot) at Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ compose window instead of passphrase dialog
Due ⇒ 2007-05-22
Queue ⇒ DIMP
Reply to this comment
When I try to view a PGP encrypted message by clicking on the link which says:



      PGP        You must enter the passphrase for your PGP private key to 
view this message.



a compose window opens instead of a passphrase dialog.

Saved Queries